// Code generated by go-swagger; DO NOT EDIT.

package models

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
)

// AuthResponse auth response
//
// swagger:model authResponse
type AuthResponse struct {

	// user access token for communicate server
	Access string `json:"access,omitempty"`

	// user refresh token for update current access token
	Refresh string `json:"refresh,omitempty"`
}

// Validate validates this auth response
func (m *AuthResponse) Validate(formats strfmt.Registry) error {
	return nil
}

// MarshalBinary interface implementation
func (m *AuthResponse) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *AuthResponse) UnmarshalBinary(b []byte) error {
	var res AuthResponse
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}
